Package org.apache.tapestry5.internal

# Class OptionGroupModelImpl

java.lang.Object
org.apache.tapestry5.internal.OptionGroupModelImpl

All Implemented Interfaces:
  `OptionGroupModel`

public final class OptionGroupModelImpl extends Object implements OptionGroupModel

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OptionGroupModelImpl(String label, boolean disabled, List<OptionModel> options, String... attributeKeysAndValues)`
  `OptionGroupModelImpl(String label, boolean disabled, List<OptionModel> options, Map<String,String> attributes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getAttributes()`
  Additional attributes to render with the <optgroup>.
  `String`
  `getLabel()`
  Localized, user-presentable label for the group.
  `List<OptionModel>`
  `getOptions()`
  The list of options within the group.
  `boolean`
  `isDisabled()`
  If true, the group (and all options within it) will be disabled.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### OptionGroupModelImpl

    public OptionGroupModelImpl(String label, boolean disabled, List<OptionModel> options, String... attributeKeysAndValues)

  - ### OptionGroupModelImpl

    public OptionGroupModelImpl(String label, boolean disabled, List<OptionModel> options, Map<String,String> attributes)

- ## Method Details

  - ### getAttributes

    public Map<String,String> getAttributes()
    Description copied from interface: `OptionGroupModel`
    Additional attributes to render with the <optgroup>. This is often used to render the CSS class attribute. May return null.
    Specified by:
      `getAttributes` in interface `OptionGroupModel`

  - ### getLabel

    public String getLabel()
    Description copied from interface: `OptionGroupModel`
    Localized, user-presentable label for the group.
    Specified by:
      `getLabel` in interface `OptionGroupModel`

  - ### getOptions

    public List<OptionModel> getOptions()
    Description copied from interface: `OptionGroupModel`
    The list of options within the group.
    Specified by:
      `getOptions` in interface `OptionGroupModel`

  - ### isDisabled

    public boolean isDisabled()
    Description copied from interface: `OptionGroupModel`
    If true, the group (and all options within it) will be disabled. Note that some browsers do not honor the disabled attribute property.
    Specified by:
      `isDisabled` in interface `OptionGroupModel`
    Returns:
      true if a disabled attribute should be rendered.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`